<?php 
header("Access-Control-Allow-Origin: *");
header("Content-Type:application/json; charset=UTF-8");
header("Access-Control-Allow-Methods:POST");
header("Access-Control-Max-Age:3600");
header("Access-Control-Allow-Headers:Content-Type,Access-Control-Allow-Headers,Authorization,X-Requested-With");

include_once '../Database.php';
include_once 'concepto.php';

$database = new DataBase();
$db = $database->getConnection();

$concepto = new Concepto($db);
try{
	$data = json_decode(file_get_contents("php://input"));
	
	$query = "INSERT INTO ".$concepto->table_name." SET nombre=:nombre,descripcion=:descripcion, costo=:costo, usuario=:usuario, imagen=:imagen";
	$stm = $concepto->conn->prepare($query);
	$stm->bindParam(":nombre",$data->nombre);
	$stm->bindParam(":descripcion",$data->descripcion);
	$stm->bindParam(":costo",$data->costo);
	$stm->bindParam(":usuario",$data->usuario);
	$stm->bindParam(":imagen",$data->imagen);
	$stmt = $concepto->Insert($stm);
	if($stmt !==false){
		echo json_encode(array("Id"=>$stmt));
	}else{
		echo json_encode(array("Error"=>"No se ha creado el registro"));
	}
}catch(Exception $ex){
	echo json_encode(array("Error"=>"No se ha podido procesar la solicitud"));
}

?>